Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(28)

Issue 2656073003: media/gpu: restore VPP scaling to default (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 3 weeks ago by seanvk
Modified:
8 months ago
Reviewers:
jrummell, Pawel Osciak
CC:
chromium-reviews, posciak+watch_chromium.org, piman+watch_chromium.org, feature-media-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

media/gpu: restore VPP scaling to default AVS (Advanced Video Scalar) support in the Intel vaapi driver is not really as well optimized for AVS 8x8 coefficients. It needs to sample the neighboring 8x8 pixels to get the result. When the default flag is passed, the AVS only samples the neighboring 2x2 pixel to get the result. When the HQ flag is passed, it needs to use 8x8 pixels. Separately, I've taken a look at video output by setting the scalar back to default and it should be sufficient for now. Changing scaling property to VA_FILTER_SCALING_DEFAULT in media/gpu/vaapi_wrapper.c requires an update to checksums due to the differing filter properties in AVS Scaling options. BUG=685432 TEST=video_decode_accelerator_unittest, visual decode of samples; see crbug.com/685432#c2 for samples; Thumbnail.* test R=posciak@chromium.org,jrummell Signed-off-by: Sean V Kelley <seanvk@posteo.de>; CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2656073003 Cr-Commit-Position: refs/heads/master@{#451601} Committed: https://chromium.googlesource.com/chromium/src/+/4fc5997a7496bc2b803d049ab0218c385f6d6427

Patch Set 1 #

Patch Set 2 : media/gpu: restore VPP scaling to default #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -1 line) Patch
M media/gpu/vaapi_wrapper.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M media/test/data/test-25fps.h264.md5 View 1 1 chunk +2 lines, -0 lines 0 comments Download
M media/test/data/test-25fps.vp8.md5 View 1 1 chunk +2 lines, -0 lines 0 comments Download
M media/test/data/test-25fps.vp9.md5 View 1 1 chunk +2 lines, -0 lines 0 comments Download
Trybot results:  chromium_presubmit   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_rel_ng   mac_chromium_rel_ng   chromium_presubmit   linux_chromium_chromeos_rel_ng   ios-simulator   win_optional_gpu_tests_rel   linux_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   ios-device   ios-device-xcode-clang   ios-simulator-xcode-clang   win_chromium_rel_ng   linux_chromium_rel_ng   ios-simulator   linux_optional_gpu_tests_rel   mac_optional_gpu_tests_rel   win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   linux_chromium_tsan_rel_ng   win_chromium_rel_ng   linux_chromium_rel_ng   cast_shell_linux   win_optional_gpu_tests_rel   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator   linux_android_rel_ng   mac_chromium_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   mac_optional_gpu_tests_rel   linux_optional_gpu_tests_rel   win_chromium_x64_rel_ng   win_clang   ios-device   ios-device-xcode-clang   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   ios-simulator-xcode-clang   android_arm64_dbg_recipe   cast_shell_android   android_compile_dbg   android_clang_dbg_recipe   android_cronet   android_n5x_swarming_rel 
Commit queue not available (can’t edit this change).

Messages

Total messages: 30 (14 generated)
Pawel Osciak
This changes MD5 sums for the Thumbnail test case in video_decode_accelerator_unittest, so the test does ...
8 months, 3 weeks ago (2017-01-27 06:09:33 UTC) #2
seanvk
Sure will do. Thanks, Sean On Thu, Jan 26, 2017 at 10:09 PM, <posciak@chromium.org> wrote: ...
8 months, 3 weeks ago (2017-01-28 00:12:42 UTC) #3
seanvk
On 2017/01/28 00:12:42, seanvk wrote: > Sure will do. > > Thanks, > > Sean ...
8 months, 2 weeks ago (2017-02-02 19:38:14 UTC) #4
seanvk
On 2017/02/02 19:38:14, seanvk wrote: > On 2017/01/28 00:12:42, seanvk wrote: > > Sure will ...
8 months, 1 week ago (2017-02-08 22:05:51 UTC) #5
seanvk
On 2017/02/08 22:05:51, seanvk wrote: > On 2017/02/02 19:38:14, seanvk wrote: > > On 2017/01/28 ...
8 months, 1 week ago (2017-02-08 22:18:15 UTC) #6
seanvk
On 2017/02/08 22:18:15, seanvk wrote: > On 2017/02/08 22:05:51, seanvk wrote: > > On 2017/02/02 ...
8 months, 1 week ago (2017-02-13 21:25:49 UTC) #7
Pawel Osciak
lgtm, but could you combine the md5 CL and this one into one please? That ...
8 months ago (2017-02-17 02:03:02 UTC) #8
seanvk
On 2017/02/17 02:03:02, Pawel Osciak wrote: > lgtm, but could you combine the md5 CL ...
8 months ago (2017-02-17 17:48:13 UTC) #9
jrummell
rs lgtm
8 months ago (2017-02-17 18:52:36 UTC) #12
Pawel Osciak
lgtm
8 months ago (2017-02-17 22:04:13 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2656073003/20001
8 months ago (2017-02-20 07:42:44 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/391651)
8 months ago (2017-02-20 08:53:09 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2656073003/20001
8 months ago (2017-02-20 08:54:49 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/368299)
8 months ago (2017-02-20 09:47:48 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2656073003/20001
8 months ago (2017-02-20 11:25:22 UTC) #27
commit-bot: I haz the power
8 months ago (2017-02-20 12:03:52 UTC) #30
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/4fc5997a7496bc2b803d049ab021...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa